from flask import Flask, render_template, request, url_for
import sqlite3

app = Flask(__name__)

@app.route('/')
def accueil():
	connexion = sqlite3.connect("animaux.db")
	curseur = connexion.cursor()
	curseur.execute("select code, nom_taxon from taxons order by code")
	resultat = curseur.fetchall()
	return render_template("index.htm", lignes = resultat)
 	
@app.route('/alpha')
def alpha():
	connexion = sqlite3.connect("animaux.db")
	curseur = connexion.cursor()
	curseur.execute("select * from vue3 order by nom_espece,code")
	resultat = curseur.fetchall()
	legende ="liste des espèces par ordre alphabétique"
	return render_template("liste.htm", lignes = resultat,titre=legende)
		
@app.route('/taxon')
def taxon():
	connexion = sqlite3.connect("animaux.db")
	curseur = connexion.cursor()
	curseur.execute("select * from vue3  order by code, nom_espece ")
	resultat = curseur.fetchall()
	legende ="liste des espèces par taxon"
	return render_template("liste.htm", lignes = resultat, titre = legende)
	
@app.route('/groupes')
def groupes():
	connexion = sqlite3.connect("animaux.db")
	curseur = connexion.cursor()
	curseur.execute("select code, nom_taxon from taxons order by code")
	resultat = curseur.fetchall()
	return render_template("groupes.htm", lignes = resultat)

@app.route('/un_taxon', methods =["POST"])
def un_taxon():
	connexion = sqlite3.connect("animaux.db")
	connexion.row_factory =sqlite3.Row
	curseur = connexion.cursor()
	choix = request.form['choix']
	sql = "select nom_espece, code, photo, e_description from especes where code =?"
	curseur.execute(sql,(choix,))
	resultat = curseur.fetchall()
	return render_template("un_taxon.htm", lignes = resultat)
	
@app.route('/nouvelle_espece')
def nouvelle_espece(): 
	connexion = sqlite3.connect("animaux.db")
	curseur = connexion.cursor()
	sql = "select code, nom_taxon from taxons order by code"
	curseur.execute(sql)
	resultat = curseur.fetchall()
	print(resultat)
	return render_template("ajout_espece.htm",lignes = resultat)
	
@app.route('/ajout_espece',methods = ['POST'])
def ajout_espece():
	nom = request.form['nom']
	code = request.form['code']
	photo = request.form['photo']
	description = request.form['description']
	connexion = sqlite3.connect("animaux.db")
	connexion.row_factory =sqlite3.Row
	curseur = connexion.cursor()
	sql ="INSERT INTO especes (nom_espece, code, photo, e_description) VALUES (?,?,?,?)"
	curseur.execute(sql,(nom,code,photo,description))
	connexion.commit()		

if __name__ == "__main__":
    app.run()